### Name: pml
### Title: Likelihood of a tree.
### Aliases: pml optim.pml
### Keywords: cluster

### ** Examples

  example(NJ)
# Jukes-Cantor (starting tree from NJ)  
  fitJC <- pml(tree, Laurasiatherian)  
# optimise edge length parameter     
  fitJC <- optim.pml(fitJC)
  fitJC 
  
## Not run:     
##D # search for a better tree using NNI rearrangements     
##D   fitJC <- optim.pml(fitJC, optNni=TRUE)
##D   fitJC   
##D   plot(fitJC$tree)
##D 
##D # JC + Gamma + I - model
##D   fitJC_GI <- update(fitJC, k=4, inv=.2)
##D # optimise shape parameter + proportion of invariant sites     
##D   fitJC_GI <- optim.pml(fitJC_GI, optGamma=TRUE, optInv=TRUE)
##D # GTR + Gamma + I - model
##D   fitGTR <- optim.pml(fitJC_GI, optNni=TRUE, optGamma=TRUE, optInv=TRUE, optBf=TRUE, optQ=TRUE) 
## End(Not run)

# 2-state data (RY-coded)  
    
  dat <- as.character(Laurasiatherian)
  # RY-coding
  dat[dat=="a"] <- "r"
  dat[dat=="g"] <- "r"
  dat[dat=="c"] <- "y"
  dat[dat=="t"] <- "y"
  dat <- phyDat(dat, levels=c("r","y"))
  fit2ST <- pml(tree, dat, k=4, inv=.25) 
  fit2ST <- optim.pml(fit2ST,optNni=TRUE, optGamma=TRUE, optInv=TRUE) 
  fit2ST
  # show some of the methods available for class pml
  methods(class="pml")  



